# QWebPluginFactory Class Reference

### [com.trolltech.qt.webkit package]

Inherits QObject.

### Constructor

- void QWebPluginFactory(QObject parent)

### Constructor Properties

- prototype: The QWebPluginFactory prototype object
- Extension( value )

### Prototype Object Properties

The QWebPluginFactory prototype object inherits properties from the QObject prototype object and also has the following properties.

- QObject create(String mimeType, QUrl arg__2, List argumentNames, List argumentValues)
- bool extension(Extension extension, QWebPluginFactory_ExtensionOption option, QWebPluginFactory_ExtensionReturn output)
- List plugins()
- void refreshPlugins()
- bool supportsExtension(Extension extension)

### Instance Properties

QWebPluginFactory objects have no special properties beyond those inherited from the QWebPluginFactory prototype object.